#
# Conditional build:
%bcond_with	apidocs		# API documentation (API not packaged, so disabled for now)
%bcond_without	libportal	# native app chooser via libportal
%bcond_without	nautilus	# Nautilus extension
#
Summary:	An archive manager for GNOME
Summary(pl.UTF-8):	Zarządca archiwów dla GNOME
Summary(pt_BR.UTF-8):	Gerenciador de arquivos compactados para o GNOME
Name:		file-roller
Version:	43.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/file-roller/43/%{name}-%{version}.tar.xz
# Source0-md5:	a36e8f27b0793e044652c5bfa187851d
Patch0:		%{name}-packages.patch
URL:		https://wiki.gnome.org/Apps/FileRoller
BuildRequires:	cpio
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-tools
%{?with_apidocs:BuildRequires:	gi-docgen >= 2021.1}
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk+3-devel >= 3.22.0
BuildRequires:	json-glib-devel >= 0.14.0
BuildRequires:	libarchive-devel >= 3.2.0
BuildRequires:	libhandy1-devel >= 1.5.0
%{?with_libportal:BuildRequires:	libportal-devel >= 0.5}
%{?with_libportal:BuildRequires:	libportal-gtk3-devel >= 0.5}
BuildRequires:	meson >= 0.59
%{?with_nautilus:BuildRequires:	nautilus-devel >= 43}
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	desktop-file-utils
Requires(post,postun):	glib2 >= 1:2.38
Requires(post,postun):	gtk-update-icon-cache
Requires:	glib2 >= 1:2.38
Requires:	gtk+3 >= 3.22.0
Requires:	hicolor-icon-theme
Requires:	json-glib >= 0.14.0
Requires:	libarchive >= 3.2.0
Requires:	libhandy1 >= 1.5.0
Suggests:	bzip2
Suggests:	cpio
Suggests:	gzip
Suggests:	p7zip
%ifarch %{ix86}
Suggests:	rar
%else
Suggests:	unrar
%endif
Suggests:	tar
Suggests:	zip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File Roller is an archive manager for the GNOME environment. With File
Roller you can: create and modify archives; view the content of an
archive; view a file contained in the archive; extract files from the
archive. File Roller is only a front-end (a graphical interface) to
various archiving programs. The supported file types are:
- Tar archives uncompressed (.tar) or compressed with
 - gzip (.tar.gz , .tgz)
 - bzip (.tar.bz , .tbz)
 - bzip2 (.tar.bz2 , .tbz2)
 - compress (.tar.Z , .taz)
 - lzop (.tar.lzo , .tzo)
- Zip archives (.zip)
- Jar archives (.jar , .ear , .war)
- Lha archives (.lzh)
- Rar archives (.rar)
- Single files compressed with gzip, bzip, bzip2, compress, lzop.

%description -l pl.UTF-8
File Roller to zarządca archiwów dla środowiska GNOME. Przy jego
pomocy można: tworzyć i modyfikować archiwa, oglądać ich zawartość,
oglądać poszczególne pliki zawarte w archiwum oraz rozpakowywać pliki
z archiwów. File Roller jest tylko interfejsem graficznym do
właściwych programów archiwizujących. Obsługiwane typy plików to:
- archiwa tar nieskompresowane (.tar) lub skompresowane programami:
 - gzip (.tar.gz, .tgz)
 - bzip (.tar.bz, .tbz)
 - bzip2 (.tar.bz2, .tbz2)
 - compress (.tar.Z, .taz)
 - lzop (.tar.lzo, .tzo)
- archiwa zip (.zip)
- archiwa jar (.jar, .ear, .war)
- archiwa lha (.lzh)
- archiwa rar (.rar)
- pojedyncze pliki skompresowane programami gzip, bzip, bzip2,
  compress, lzop.

%description -l pt_BR.UTF-8
File Roller é um gerenciador de pacotes de arquivos compactados para o
ambiente GNOME. Com ele é possível criar arquivos, visualizar o
conteúdo de arquivos existentes, visualizar um arquivo contido em um
pacote e extrair os arquivos de um pacote.

%package -n nautilus-extension-file-roller
Summary:	File Roller (archive manager) extension for Nautilus (GNOME file manager)
Summary(pl.UTF-8):	Rozszerzenie File Roller (zarządca archiwów) Nautilusa (zarządcy plików GNOME)
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	nautilus >= 43

%description -n nautilus-extension-file-roller
File Roller (archive manager) extension for Nautilus (GNOME file
manager).

%description -n nautilus-extension-file-roller -l pl.UTF-8
Rozszerzenie File Roller (zarządca archiwów) Nautilusa (zarządcy
plików GNOME).

%prep
%setup -q
%patch0 -p1

%build
%meson build \
	%{?with_apidocs:-Dapi_docs=enabled} \
	-Dintrospection=enabled \
	%{!?with_nautilus:-Dnautilus-actions=disabled} \
	%{!?with_libportal:-Duse_native_appchooser=false}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

# unify name
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{sr@ije,sr@ijekavian}
# not supported by glibc (as of 2.38)
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ie

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor
%glib_compile_schemas

%postun
%update_desktop_database_postun
%update_icon_cache hicolor
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS MAINTAINERS NEWS README.md README_COMMANDLINE
%attr(755,root,root) %{_bindir}/file-roller
%dir %{_libexecdir}/file-roller
%attr(755,root,root) %{_libexecdir}/file-roller/isoinfo.sh
%attr(755,root,root) %{_libexecdir}/file-roller/rpm2cpio
%{_datadir}/dbus-1/services/org.gnome.ArchiveManager1.service
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/file-roller
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/metainfo/org.gnome.FileRoller.appdata.xml
%{_desktopdir}/org.gnome.FileRoller.desktop
%{_iconsdir}/hicolor/scalable/apps/org.gnome.FileRoller.svg
%{_iconsdir}/hicolor/scalable/apps/org.gnome.FileRoller.Devel.svg
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.FileRoller-symbolic.svg

%if %{with nautilus}
%files -n nautilus-extension-file-roller
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/nautilus/extensions-4/libnautilus-fileroller.so
%endif
%changelog
* Mon Dec 04 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/file-roller.git;a=log;h=master

* Mon Dec 04 2023 Jakub Bogusz <qboosh@pld-linux.org> cb68653
- updated to 43.1

* Fri May 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 4514881
- updated to 43.0; nautilus plugin has been ported to nautilus 4 API (43+)

* Tue Apr 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 2b1a0e6
- updated to 3.42.0

* Thu May 06 2021 Jakub Bogusz <qboosh@pld-linux.org> c0d9d76
- updated to 3.40.0

* Sun Apr 11 2021 Jakub Bogusz <qboosh@pld-linux.org> 6d82180
- updated to 3.38.1

* Sun Sep 20 2020 Jakub Bogusz <qboosh@pld-linux.org> aa1e8de
- updated to 3.38.0

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 29ddf26
- updated to 3.36.3

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> c11af8e
- updated to 3.36.2

* Sun Nov 24 2019 Jakub Bogusz <qboosh@pld-linux.org> 5b50096
- updated to 3.32.3

* Fri Nov 15 2019 Jakub Bogusz <qboosh@pld-linux.org> ff31916
- updated to 3.32.2
- added packages patch (add some PLD-specific package matches)

* Fri May 12 2017 Jakub Bogusz <qboosh@pld-linux.org> b976055
- restored nautilus bcond

* Mon Apr 24 2017 Marcin Banasiak <marcin.banasiak@gmail.com> bc66005
- Update to 3.24.1

* Thu Mar 23 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 598d6bd
- Update to 3.24.0

* Tue Feb 28 2017 Marcin Banasiak <marcin.banasiak@gmail.com> 84ba068
- Update to 3.22.3

* Thu Nov 10 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 286594c
- Update to 3.22.2

* Thu Oct 27 2016 Marcin Banasiak <marcin.banasiak@gmail.com> bf1ba4e
- Update to 3.22.1

* Wed May 25 2016 Jakub Bogusz <qboosh@pld-linux.org> febaefc
- updated to 3.20.2

* Thu Mar 31 2016 Marcin Banasiak <marcin.banasiak@gmail.com> 0ec0c72
- Update to 3.20.0

* Fri Sep 04 2015 Łukasz Kieś <kiesiu@pld-linux.org> dcd7a9e
- updated to 3.16.4

* Wed Jul 01 2015 Marcin Banasiak <marcin.banasiak@gmail.com> eda6b2e
- Update to 3.16.3

